MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026352Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-06-18 11:022016-04-20 15:48
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026352: Wrong intersection points found
DescriptionThe intersection points found by the Face/Face intersection algorithm are not valid for the faces.
Steps To ReproduceThe problem can be reproduced using the updated bopcurves command (find attached).

restore shape1 b1
restore shape2 b2
explode b1 f
explode b2 f

bopcurves b1_10 b2_3
# Tolerance Reached=0
# 1 point(s) found.
# p_1
dump p_1
vertex v1 2.639939644614225e-001 1.579500000000000e-001 2.706290243089611e-017
distmini d v1 b2_3
# the distance value is : 0.00509325

bopcurves b1_10 b2_10
# Tolerance Reached=0
# 1 point(s) found.
# p_1
dump p_1
vertex v2 2.589007163356596e-001 1.579500000000000e-001 2.632811435140770e-017
distmini d v2 b2_10
# the distance value is : 0.00509325

bopcurves b1_11 b2_1
# Tolerance Reached=0
# 1 point(s) found.
# p_1
dump p_1
vertex v3 2.639939644614225e-001 1.579500000000000e-001 9.808065821260515e-017
distmini d v3 b2_1
# the distance value is : 0.00509325

bopcurves b1_11 b2_7
# Tolerance Reached=0
# 1 point(s) found.
# p_1
dump p_1
vertex v4 2.589007163356596e-001 1.579500000000000e-001 8.685426255040901e-017
distmini d v4 b2_7
# the distance value is : 0.00509325
TagsNo tags attached.
Test case numberbugs modalg_6 bug26352
Attached Filescxx file icon BOPTest_BOPCommands.cxx (23,766 bytes) 2015-06-18 11:02
? file icon shape1 (58,003 bytes) 2015-06-18 11:03
? file icon shape2 (56,355 bytes) 2015-06-18 11:03
png file icon pic1.PNG (34,561 bytes) 2015-06-18 16:54

- Relationships

-  Notes
(0042235)
nbv (developer)
2015-06-18 16:40
edited on: 2015-06-18 17:10

Small remark (just for me) about script 1 ("bopcurves b1_10 b2_3").

UV-bounds of b1_10 is: U=0.00000000000000000...1.5707963267949001, V=-1.0000000000000000...0.00000000000000000.
UV-bounds of b2_3 is: U=3.1415926535897900...4.7123889803846897, V=4.7123889803846897...-0.15187468954216601.

Intersection point has 2D-coordinate (0.00000000000000000, -0.76399396446142254) for b1_10 and (3.1415926535897931, -0.28747141296493955) for b2_3. I.e. this point is in domain.

Draw[]> projponf b2_3 p_1
#proj dist = 8.5954587806589715e-017 uvproj = (3.1415926535897927 -0.28747141296493961); pproj = (0.26399396446142259 0.15795000000000003 6.2065978623733617e-017)

Draw[]> projponf b1_10 p_1
#proj dist = 3.0728150373536901e-017 uvproj = (0 -0.76399396446142254); pproj = (0.26399396446142254 0.15794999999999998 1.3877787807814457e-017)


I.e. the point p_1 is true intersection point (distances ~ 1.0e-17).

However!!!!!
Draw[]> point p2d 3.1415926535897931 -0.28747141296493955
Draw[]> b2dclassify b2_3 p2d
#The point is OUT of shape

And this point is really out of the shape (see pic1.PNG).



CONCLUSION!
Intersection algorithm works properly for this case and returns true intersection point, which lies in UV-bounds of the faces. Nevertheless, in this case we should use complex shape topology (take into account not only faces, but also edges and vertices) for obtaining full picture. This task is not for geometric intersection.

(0042236)
nbv (developer)
2015-06-18 17:13

Dear Eugene,

Are there any ideas for fixing this problem in geometric intersection (where rectangular domain is input parameter)?
(0042237)
emv (developer)
2015-06-18 17:35

If we cannot classify this point on the level of geometric intersection (IntPatch_Intersection) than we should classify this point on the higher level where all the information necessary for classification is presented(IntTools_FaceFace).
(0042242)
emv (developer)
2015-06-18 17:54

The fix will be made in frames of child issue #0026316.
(0042519)
emv (developer)
2015-06-29 09:09

The fix for the issue #0026316 solves the problem. Please add test cases and close.
(0042589)
git (administrator)
2015-06-30 14:02

Branch CR26352 has been created by mkv.

SHA-1: d089758416cf19e2e5c76f66445a635bbf5d3f72


Detailed log of new commits:

Author: mkv
Date: Tue Jun 30 14:02:23 2015 +0300

    0026352: Wrong intersection points found
(0042590)
mkv (tester)
2015-06-30 14:07

Dear BugMaster,
test case
bugs modalg_6 bug26352
was created and pushed to new branch CR26352 of occt git-repository.
SHA-1: d089758416cf19e2e5c76f66445a635bbf5d3f72
(0042591)
mkv (tester)
2015-06-30 14:08

Dear emv,
could you please review following test case
bugs modalg_6 bug26352
(0042595)
emv (developer)
2015-06-30 14:12

Please change the line
set search_str "has no 3d curve"
to
set search_str "has no 3d points"
(0042601)
git (administrator)
2015-06-30 15:20

Branch CR26352 has been updated by mkv.

SHA-1: cf16de56d9b369a8a49177b6f8a1261c908a0f0e


Detailed log of new commits:

Author: mkv
Date: Tue Jun 30 15:20:23 2015 +0300

    Small correction of test case for issue CR26352

(0042602)
mkv (tester)
2015-06-30 15:21

Done.
(0044211)
git (administrator)
2015-08-14 10:57

Branch CR26352 has been deleted by inv.

SHA-1: cf16de56d9b369a8a49177b6f8a1261c908a0f0e

- Related Changesets
occt: master c7283baa
Timestamp: 2015-07-02 11:27:47
Author: mkv
Committer: bugmaster
Details ] Diff ]
0026352: Wrong intersection points found

Small correction of test case for issue CR26352
add - tests/bugs/modalg_6/bug26352 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-18 11:02 emv New Issue
2015-06-18 11:02 emv Assigned To => msv
2015-06-18 11:02 emv File Added: BOPTest_BOPCommands.cxx
2015-06-18 11:03 emv File Added: shape1
2015-06-18 11:03 emv File Added: shape2
2015-06-18 11:18 msv Assigned To msv => nbv
2015-06-18 11:18 msv Status new => assigned
2015-06-18 11:18 msv Target Version 7.0.0 => 7.1.0
2015-06-18 16:40 nbv Note Added: 0042235
2015-06-18 16:40 nbv Note View State: 0042235: private
2015-06-18 16:54 nbv File Added: pic1.PNG
2015-06-18 17:10 nbv Note Edited: 0042235 View Revisions
2015-06-18 17:10 nbv Note View State: 0042235: public
2015-06-18 17:13 nbv Note Added: 0042236
2015-06-18 17:13 nbv Assigned To nbv => emv
2015-06-18 17:13 nbv Status assigned => feedback
2015-06-18 17:35 emv Note Added: 0042237
2015-06-18 17:35 emv Status feedback => assigned
2015-06-18 17:50 emv Relationship added parent of 0026316
2015-06-18 17:54 emv Note Added: 0042242
2015-06-29 09:09 emv Note Added: 0042519
2015-06-29 09:09 emv Assigned To emv => mkv
2015-06-29 09:09 emv Status assigned => feedback
2015-06-30 14:02 git Note Added: 0042589
2015-06-30 14:07 mkv Note Added: 0042590
2015-06-30 14:08 mkv Note Added: 0042591
2015-06-30 14:08 mkv Test case number => bugs modalg_6 bug26352
2015-06-30 14:08 mkv Assigned To mkv => emv
2015-06-30 14:11 emv Assigned To emv => mkv
2015-06-30 14:12 emv Note Added: 0042595
2015-06-30 15:20 git Note Added: 0042601
2015-06-30 15:21 mkv Note Added: 0042602
2015-06-30 15:21 mkv Assigned To mkv => bugmaster
2015-06-30 15:21 mkv Status feedback => tested
2015-07-03 15:27 bugmaster Changeset attached => occt master c7283baa
2015-07-03 15:27 bugmaster Status tested => verified
2015-07-03 15:27 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:57 git Note Added: 0044211
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker